Subject: Found: Good 3rd pty dr press f/Dremel

From: [email-masked] (Michael Covington)
Date: 2 Jul 1996 23:44:38 GMT

I just wanted to let you all know about something I found at a local home
center that is a remarkably good deal.

It's a drill press stand for Dremel Moto-Tools, but it's not made by Dremel.
It's imported from France under the  "Hobby Pro" label by
The Mibro Group, 72 Benbro Drive, Cheektowaga, NY 14225.

It cost me only $30 and is quite solidly built.  

Compared to Dremel's drill press stand, it has two big advantages:

* It fits all or virtually all Dremel and Craftsman (corded, not cordless)
  Moto-Tools, not just the current model.

* It does not "walk" from side to side as it goes down.  On the side of
  the rack is an adjustable pressure plate that lets you compensate 
  for wear and make sure its downfeed is perfectly straight.

I'm using it with an old Craftsman Moto-Tool (that's Dremel's name for
it; what's the generic term?) as a circuit board drill.  30,000 RPM is
very nice!

It also includes a router table setup which I haven't used.

I'm not affiliated with the company except as a satisfied customer.
Has anybody else seen and tried this item?
--
Michael A. Covington                http://www.ai.uga.edu/faculty/covington/
Artificial Intelligence Center                                           <><
The University of Georgia                Unless specifically indicated, I am
Athens, GA 30602-7415 U.S.A.                not speaking for the University.